Download it now!
Bug 123915 - Font on Calc tabs not following Plasma Font DPI settings
Summary: Font on Calc tabs not following Plasma Font DPI settings
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-03-07 06:59 UTC by Evert
Modified: 2019-05-22 05:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Snapshot of the offending tabs (926.83 KB, image/jpeg)
2019-03-07 06:59 UTC, Evert
Details
Requested info (37.54 KB, image/jpeg)
2019-03-07 09:33 UTC, Evert
Details
Screenshot of Plasma Font Settings (240.37 KB, image/png)
2019-05-21 14:27 UTC, Evert
Details
Screenshot Calc with Plasma fonts set to 96 DPI (101.03 KB, image/png)
2019-05-21 15:04 UTC, Michael Weghorn
Details
Screenshot Calc with Plasma fonts set to 144 DPI (109.25 KB, image/png)
2019-05-21 15:05 UTC, Michael Weghorn
Details
Screenshot Calc with Plasma fonts set to 250 DPI (117.94 KB, image/png)
2019-05-21 15:05 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Evert 2019-03-07 06:59:51 UTC
Created attachment 149779 [details]
Snapshot of the offending tabs

I use Arch Linux, Libreoffice is at version 6.2.0.3
KDE is my desktop of choice. 

The system is used for photography and has a 4K monitor. Applying simple scaling in KDE is out of the question, as graphics are scaled as well, which loses the whole point of having a 4K monitor. 

The most workable solution I have found so far is to set a minimum font size of 10, (Liberation serif), and force DPI to 144.

In System Settings -> Application Style -> GNOME/GTK Application style I have the same font & size selected. 

All other GTK applications respect these settings, and render the fonts properly.

The menu font in Libreoffice also respects these settings, however the font in the tabs of Calc does not.

I can still read this, barely, but it is a pain.

There is a screenshot attached to this bug to illustrate the issue.
Comment 1 Roman Kuznetsov 2019-03-07 09:07:10 UTC
Evert, please add info from dialog Help->About LibreOffice
Comment 2 Evert 2019-03-07 09:33:20 UTC
Created attachment 149783 [details]
Requested info

I have attached a screenshot of the requested info
Comment 3 Michael Weghorn 2019-03-13 09:10:18 UTC
The screenshot shows that you're using the kde5 VCL plugin, which in my understanding should be using the KDE/Qt font settings, not those for Gtk applications.

Can you please check all options in Plasma's System Settings under "Fonts", whether those do have an effect (i.e. the KDE related settings, not the Gtk ones)?

I quickly increased the size of the "General" font there and the tab labels in Calc get larger for me (I don't have a HiDPi screen, though).
Comment 4 Michael Weghorn 2019-05-21 11:11:50 UTC
As mentioned in comment 3, this works fine for me when actually changing the KDE/QT font settings rather than the gtk ones.

I'm therefore closing this as WORKSFORME. Please reopen if you're still able to reproduce (i.e. the KDE/Qt font settings are not applied in your case).
Comment 5 Evert 2019-05-21 14:25:48 UTC
Michel, have you read my whole bug report instead of just the last bit?

Did you miss the bit where I said that I adjusted my fonts in KDE and forced a DPI of 144?

Dots Per Inch, better known as DPI, is the setting I am changing (in KDE and GNOME) and that is the setting that is being ignored by the font in the tabs in LibreOffice. 


Thanks for the patience in waiting for my reply, life is getting in the way. 


In order to test the bug, go into Plasma's System Settings under "Fonts", enable "Force Fonts DPI" , and set to 144. Apply.


All fonts KDE and GNOME in all applications respect this setting, and scale to the requested DPI, except those pesky fonts in the LibreOffice tabs.

;)

I will attach a screenshot of my settings.

-Evert-
Comment 6 Evert 2019-05-21 14:27:48 UTC
Created attachment 151565 [details]
Screenshot of Plasma Font Settings

There is a bit of mis-information on my reply, DPI can only be adjusted in Plasma, not GNOME.
Comment 7 Michael Weghorn 2019-05-21 15:04:36 UTC
Created attachment 151568 [details]
Screenshot Calc with Plasma fonts set to 96 DPI
Comment 8 Michael Weghorn 2019-05-21 15:05:13 UTC
Created attachment 151569 [details]
Screenshot Calc with Plasma fonts set to 144 DPI
Comment 9 Michael Weghorn 2019-05-21 15:05:37 UTC
Created attachment 151570 [details]
Screenshot Calc with Plasma fonts set to 250 DPI
Comment 10 Michael Weghorn 2019-05-21 15:11:40 UTC
(In reply to Evert from comment #5)
> Michel, have you read my whole bug report instead of just the last bit?
> 
> Did you miss the bit where I said that I adjusted my fonts in KDE and forced
> a DPI of 144?

Thanks for elaborating on this, and sorry, I actually missed that (it's rather implicit in the initial report that these are actually the Plasma font settings...). I've adapted the bug title accordingly.

Anyway, changing DPI still makes the font size in Calc change as well in my case, s. attached screenshots with 96, 144 and 250 DPI set (using "Noto Sans 10" for all fonts except "Fixed Width", which is set to "Hack 9".

Any idea what else might play a role here?

(I tested using LibreOffice master and 6.2.3 on Debian testing, package plasma-desktop at version 4:5.14.5.1-1).
Comment 11 Michael Weghorn 2019-05-21 15:15:20 UTC
(In reply to Michael Weghorn from comment #10)
> Anyway, changing DPI still makes the font size in Calc change as well in my
> case, [...]

To clarify: What I mean is that text is displayed larger than before if DPI setting is increased.
Comment 12 Evert 2019-05-22 05:10:13 UTC
Well it seems to work for me now, too. 

I did update my system in the meantime, so this may have been a bug in one of the sub systems.

Thank you again for your patience. 

-Evert-
Comment 13 Michael Weghorn 2019-05-22 05:16:50 UTC
Good to hear, thanks for the update! :-)